gnutls_x509_crt_check_issuer(3)

NAME
gnutls_x509_crt_check_issuer - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_check_issuer(gnutls_x509_crt_t cert, gnutls_x509_crt_t issuer);

ARGUMENTS

gnutls_x509_crt_t cert
    is the certificate to be checked

gnutls_x509_crt_t issuer
    is the certificate of a possible issuer

DESCRIPTION
This function will check if the given certificate was issued by the given issuer.

RETURNS
It will return true (1) if the given certificate is issued by the given issuer, and false (0) if not. A negative value is returned in case of an error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.